import 'package:satu/core/redux/actions/user_actions.dart';
import 'package:satu/core/redux/state/user_state.dart';

userReducer(UserState prevState, SetUserStateAction action) {
  final payload = action.userState;
  return prevState.copyWith(
    isError: payload.isError,
    isLoading: payload.isLoading,
    auth: payload.auth,
  );
}